# Uses of Interface
java.sql.Clob

Packages that use Clob
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of Clob in java.sql

Subinterfaces of Clob in java.sql
Modifier and Type
Interface
Description
`interface`
`NClob`
The mapping in the Java programming language for the SQL `NCLOB` type.
Methods in java.sql that return Clob
Modifier and Type
Method
Description
`Clob`
Connection.`createClob()`
Constructs an object that implements the `Clob` interface.
`Clob`
CallableStatement.`getClob(int parameterIndex)`
Retrieves the value of the designated JDBC `CLOB` parameter as a `java.sql.Clob` object in the Java programming language.
`Clob`
CallableStatement.`getClob(String parameterName)`
Retrieves the value of a JDBC `CLOB` parameter as a `java.sql.Clob` object in the Java programming language.
`Clob`
ResultSet.`getClob(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
`Clob`
ResultSet.`getClob(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` object as a `Clob` object in the Java programming language.
`Clob`
SQLInput.`readClob()`
Reads an SQL `CLOB` value from the stream and returns it as a `Clob` object in the Java programming language.
Methods in java.sql with parameters of type Clob
Modifier and Type
Method
Description
`long`
Clob.`position(Clob searchstr, long start)`
Retrieves the character position at which the specified `Clob` object `searchstr` appears in this `Clob` object.
`void`
CallableStatement.`setClob(String parameterName, Clob x)`
Sets the designated parameter to the given `java.sql.Clob` object.
`void`
PreparedStatement.`setClob(int parameterIndex, Clob x)`
Sets the designated parameter to the given `java.sql.Clob` object.
`void`
ResultSet.`updateClob(int columnIndex, Clob x)`
Updates the designated column with a `java.sql.Clob` value.
`void`
ResultSet.`updateClob(String columnLabel, Clob x)`
Updates the designated column with a `java.sql.Clob` value.
`void`
SQLOutput.`writeClob(Clob x)`
Writes an SQL `CLOB` value to the stream.

## Uses of Clob in javax.sql

Methods in javax.sql with parameters of type Clob
Modifier and Type
Method
Description
`void`
RowSet.`setClob(int i, Clob x)`
Sets the designated parameter in this `RowSet` object's command with the given `Clob` value.
`void`
RowSet.`setClob(String parameterName, Clob x)`
Sets the designated parameter to the given `java.sql.Clob` object.

## Uses of Clob in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type Clob
Modifier and Type
Method
Description
`void`
BaseRowSet.`setClob(int parameterIndex, Clob x)`
Sets the designated parameter to the given `Clob` object in the Java programming language.
`void`
BaseRowSet.`setClob(String parameterName, Clob x)`
Sets the designated parameter to the given `java.sql.Clob` object.

## Uses of Clob in javax.sql.rowset.serial

Classes in javax.sql.rowset.serial that implement Clob
Modifier and Type
Class
Description
`class`
`SerialClob`
A serialized mapping in the Java programming language of an SQL `CLOB` value.
Methods in javax.sql.rowset.serial that return Clob
Modifier and Type
Method
Description
`Clob`
SQLInputImpl.`readClob()`
Retrieves the `CLOB` value at the head of this `SQLInputImpl` object as a `Clob` object in the Java programming language.
Methods in javax.sql.rowset.serial with parameters of type Clob
Modifier and Type
Method
Description
`long`
SerialClob.`position(Clob searchStr, long start)`
Returns the position in this `SerialClob` object where the given `Clob` signature begins, starting the search at the specified position.
`void`
SQLOutputImpl.`writeClob(Clob x)`
Writes a `Clob` object in the Java programming language to this `SQLOutputImpl` object.
Constructors in javax.sql.rowset.serial with parameters of type Clob
Modifier
Constructor
Description
``
`SerialClob(Clob clob)`
Constructs a `SerialClob` object that is a serialized version of the given `Clob` object.